Software version Rollback requests | Battery issues | Runner & Spark watch series

16061636566105

Comments

  • Gobater
    Gobater Registered Users Posts: 4
    Master Traveler
    Hi,

    I can confirm that 1.7.64 is working fine with my Runner 3 and Android 6.0.1 Phone (Xperia Z3 Compact).

    I was able to pair my phone and headphones to the watch. Synchronizing activities and QuickGPS works reliably (it feels a little slow, but works), at least the last two days.

    Looking forward to see Live Pace feature improved.

    Thanks and regards
  • alga921
    alga921 Registered Users Posts: 4
    Master Traveler
    @lampard Hello, I have a problem with syncing my workouts (spark 3 cardio + music) with an iPhone. Could You rollback my watch to the 1.3.255 or update to 1.7.64 version please?

    Thank You in advance for Your help, alga921
  • Siem73
    Siem73 Registered Users Posts: 3
    Apprentice Traveler
    My tomtom runner (v. 1.7.62) can't sync with my phone Huawei P8 Lite (model L21) android 6.0. I have got this issue about 4 months.

    I tried everything but nothing seems to work.

    I still have to use the usb-cable to connect with the PC.

    Could you please link my account to 1.7.64? Thanks!
  • Fergus Brown
    Fergus Brown Registered Users Posts: 2
    Apprentice Traveler
    Emomorassi wrote:
    Hi guys! Problems connecting app with runner 3 watch via bluetooth. I know this has been reported many times, but I could not find a solution. I'm trying to sync my watch to the app on Iphone 5, but was never able to do it. The app never asks for the PIN. The watch only shows the PIN for a few seconds while the app asks me to wait to sync, but it never does. The watch is not on the phone's bt list. I have resetted the phone and uninstalled the app a few times. Don't know what to do next... Any other suggestions?

    I have the same problem. I am on 1.7.62
  • lampard
    lampard Administrators Posts: 5,954
    Moderator
    @Doepie Your watch already has the latest version 1.7.64 installed on it.

    @gosiaw @DouglasFF84 @Clydevdw @Mark1991 @alga921 @Fergus Brown I've linked your account to the firmware version 1.7.64, please connect your watch to computer and Sports Connect will offer the software.

    @Siem73 We currently have issues with Huawei P8/P8 lite phones with no workaround available. You can sync your watch using the Sports Connect software on your PC/Laptop. But, I've linked your account to the firmware version 1.7.64 and see if this helps.

    Cheers, lampard
  • matti56
    matti56 Registered Users Posts: 2
    Apprentice Traveler
    @lampard: as many others I'm having trouble syncing my Runner 3 to my iPhone since I installed firmware 1.7.62. Can you link my account to firmware 1.7.64? Thanks.
  • DouglasFF84
    DouglasFF84 Registered Users Posts: 6
    Master Explorer
    @lampard hi!

    I've tried 1.7.64 before but no sucess. The connection drops at 30% on both phones(moto e4 android 7.1.1 and xperia m2 aqua, android 6.x).

    So, i do a reset and the firmware backs do 62.

    The last firmware that work always was 1626 and the 1.7.53 work sometimes with a very persistence. So can you link to my account one of those cited?

    Tks for support.
  • Sinnedje
    Sinnedje Registered Users Posts: 1
    Apprentice Traveler
    Hi all,

    A while ago, I updated my Spark through the Connect software to 1.7.62. At first I was really amazed how fast the watch became. But now I am going absolutely crazy on how fast the battery drains. It does not even last a day, without using any of its functions (just lying around).

    Will there be a new update to fix this? Or could I also get the previous firmware back please?

    Best Regards,

    Dennis
  • Siem73
    Siem73 Registered Users Posts: 3
    Apprentice Traveler
    @lampard

    It's working fine now ! After a long time not able to sync. Great, thanks !
  • Fergus Brown
    Fergus Brown Registered Users Posts: 2
    Apprentice Traveler
    lampard wrote:
    @Doepie Your watch already has the latest version 1.7.64 installed on it.

    @gosiaw @DouglasFF84 @Clydevdw @Mark1991 @alga921 @Fergus Brown I've linked your account to the firmware version 1.7.64, please connect your watch to computer and Sports Connect will offer the software.

    @Siem73 We currently have issues with Huawei P8/P8 lite phones with no workaround available. You can sync your watch using the Sports Connect software on your PC/Laptop. But, I've linked your account to the firmware version 1.7.64 and see if this helps.

    Cheers, lampard
    thanks lampard - sync working well
  • Inverno
    Inverno Registered Users Posts: 5
    Master Explorer
    Sinnedje wrote:
    Hi all,

    A while ago, I updated my Spark through the Connect software to 1.7.62. At first I was really amazed how fast the watch became. But now I am going absolutely crazy on how fast the battery drains. It does not even last a day, without using any of its functions (just lying around).

    Will there be a new update to fix this? Or could I also get the previous firmware back please?

    Best Regards,

    Dennis

    Hi everyone, same problem with my runner 3, same firmware; cardio, sleep & notifications off. I hope you can provide soon a new firmware with corrections for these important bugs.
  • DouglasFF84
    DouglasFF84 Registered Users Posts: 6
    Master Explorer
    @lampard hey man.. I tried again with 1.7.64 and record xco btt/mtb for test and the firmware upload the activity on a 3 time. Slow but functional. Tks alot. Ignore last post.

    Tks for support.
  • oliviera9
    oliviera9 Registered Users Posts: 2
    Apprentice Traveler
    @lampard Hi lampard, got the Adventurer recently but had problems pairing it with the phone. I saw this is a knows issue and that 1.7.64 solves it: actually I have 1.7.62... can you unlock it for me? Thx in advance
  • GizzyDW
    GizzyDW Registered Users Posts: 6
    Master Traveler
    Hi there, can you please downgrade my version on my Spark + music as the battery only lasts a day with normal use. If GPS is activated it lasts an hour from an apparent full charge. Or upgrade me to 1.7.64. Currently on 1.7.62. I understand this is a problem for many users.
  • GizzyDW
    GizzyDW Registered Users Posts: 6
    Master Traveler
    Updated to 1.7.64 and will see how battery goes. But still can't pair with my Huawei P9
  • BombCyclone
    BombCyclone Registered Users Posts: 1
    Apprentice Traveler
    @lampard Please link my account to 1.7.64. Got a Spark 3 yesterday that refuses to talk to my iPhone.
  • AdamP187
    AdamP187 Registered Users Posts: 1
    Apprentice Traveler
    I am having some major issues in the last few weeks or so with my Spark watch. Ever since it updated to Version 1.7.62, the connection to my phone (Samsung Galaxy S7 Edge) has been so difficult. In the last week, it's not wanted to connect at all.

    May I please request either a rollback to the previous software version or if there is a fix with a new version, may I have that

    Thank you for your time

    Adam
  • matti56
    matti56 Registered Users Posts: 2
    Apprentice Traveler
    @lampard: I updated my Runner 3 to firmware 1.7.64 and did a factory reset, but my watch is still not syncing to my iPhone. It's getting frustrating. Can you offer a fix that works?
  • ilary.sedda
    ilary.sedda Registered Users Posts: 1
    Apprentice Traveler
    Hi all,
    I've updated my Runner 3 from original version to this 1.7.62 and after the update i can't pair with any BT hearbud. Even with the original TOMTOM. Always get the error "Piu' auricolari nel range. Utilizzarne uno solo". But no other BT devices are around me when i test. Note i've tested the BT hearbud on different phones and works and pair properly.

    My SN: HRxxxxGxxxxxx

    Please enable my account to update to the new firmware or help me rollback to the old one. So sad I'm stuck. Thanks

    Mod edit: Please do not post any personal information on a public forum!
  • Thilivren
    Thilivren Registered Users Posts: 3
    Neophyte Traveler
    Hello

    I would like to get a rollback to firmware version 1.7.60. I have been unable to sync my Spark 3 while on version 1.7.62 and 1.7.64. The sync starts (Tomtom sports app), but after approximately 20% in, it jumps to 100% without actually transferring any data.

    Thanks!
  • tom.lungu
    tom.lungu Registered Users Posts: 3
    Neophyte Traveler
    @lampard May you please link me to the 1.3.2555 version. I have the same battery draining and connectivity issues as everyone else. I'm currently using 1.7.62 on a runner 2. I have tried a factory reset and it doesn't work.
    Thanks in advance.
  • Stickwood1
    Stickwood1 Registered Users Posts: 1
    Apprentice Traveler
    Aaaaaaaargh - I only bought this thing today - very excited to get involved with a fitness watch and now I'm hit with this wave of problems - can't even find where to upgrade firmware - nothing happening automatically. DISAPPOINTED. Please if you read this TOMTOM put me on at least 1.7.53 or advise otherwise. I've had this product less than 10 hours and I've already lost confidence in it!
  • tfarabaugh
    tfarabaugh Posts: 16,936
    Superuser
    Stickwood1 wrote:
    Aaaaaaaargh - I only bought this thing today - very excited to get involved with a fitness watch and now I'm hit with this wave of problems - can't even find where to upgrade firmware - nothing happening automatically. DISAPPOINTED. Please if you read this TOMTOM put me on at least 1.7.53 as I was advised by another poor soul above!
    I would take care with your buying decision considering TT has left the wearables market and is not producing any new devices (and never even released the Adventurer in the US), I would assume at this point any updates will be limited to bug fixes. I would not expect much more development so what you get in the box will likely be all there is. There are also major connectivity and battery drain issues that have not been resolved in over six months. You may want to return it and go with another brand.
  • McJoe
    McJoe Registered Users Posts: 1
    Apprentice Traveler
    @lampard Please link my account to 1.7.64. Can i pair my watch to my lg g3? i have a problem.
This discussion has been closed.